org.aspectj.lang.reflect

## Interface SourceLocation

    public interface SourceLocation

For defining code, the class defined and location in a source file.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`int` `getColumn()` Deprecated. can not be implemented for bytecode weaving, may be removed in 1.1gold.
`String` `getFileName()`
`int` `getLine()`
`Class` `getWithinType()`

### Method Detail

#### getWithinType

    Class getWithinType()

#### getFileName

    String getFileName()

#### getLine

    int getLine()

#### getColumn

    int getColumn()

Deprecated. can not be implemented for bytecode weaving, may be removed in 1.1gold.

Returns:
  the column